Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.tiktok.getVideoComments({
videoId: "string",
count: 20,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/tiktok/get-video-comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoId": "<string>",
"cursor": "<string>",
"count": 20
}
'import requests
url = "https://api.bridgly.app/tiktok/get-video-comments"
payload = {
"videoId": "<string>",
"cursor": "<string>",
"count": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({videoId: '<string>', cursor: '<string>', count: 20})
};
fetch('https://api.bridgly.app/tiktok/get-video-comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/tiktok/get-video-comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'videoId' => '<string>',
'cursor' => '<string>',
'count' => 20
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/tiktok/get-video-comments"
payload := strings.NewReader("{\n \"videoId\": \"<string>\",\n \"cursor\": \"<string>\",\n \"count\": 20\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/tiktok/get-video-comments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"videoId\": \"<string>\",\n \"cursor\": \"<string>\",\n \"count\": 20\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/tiktok/get-video-comments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"videoId\": \"<string>\",\n \"cursor\": \"<string>\",\n \"count\": 20\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"comments": [
{
"id": "<string>",
"videoId": "<string>",
"parentCommentId": "<string>",
"text": "<string>",
"createTime": 123,
"language": "<string>",
"likeCount": 123,
"replyCount": 123,
"likedByCreator": true,
"pinnedByCreator": true,
"author": {
"id": "<string>",
"uniqueId": "<string>",
"nickname": "<string>",
"avatarUrl": "<string>",
"signature": "<string>",
"verified": true,
"secUid": "<string>",
"privateAccount": true,
"followerCount": 123,
"followingCount": 123,
"heartCount": 123,
"videoCount": 123
}
}
],
"total": 123,
"nextCursor": "<string>"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}TikTok
Get the comments on a TikTok video
List the top-level comments on a TikTok post by ID, with each comment’s text, like and reply counts, author and whether the creator liked or pinned it. Page through results with the cursor from the previous response’s nextCursor. Costs 1 credit per result returned, with a minimum of 1 credit per request.
POST
/
tiktok
/
get-video-comments
Bridgly SDK
import { Bridgly } from '@bridgly/sdk';
const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });
const res = await client.tiktok.getVideoComments({
videoId: "string",
count: 20,
});
if (res.type === 'success') console.log(res.data);curl --request POST \
--url https://api.bridgly.app/tiktok/get-video-comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoId": "<string>",
"cursor": "<string>",
"count": 20
}
'import requests
url = "https://api.bridgly.app/tiktok/get-video-comments"
payload = {
"videoId": "<string>",
"cursor": "<string>",
"count": 20
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({videoId: '<string>', cursor: '<string>', count: 20})
};
fetch('https://api.bridgly.app/tiktok/get-video-comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridgly.app/tiktok/get-video-comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'videoId' => '<string>',
'cursor' => '<string>',
'count' => 20
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridgly.app/tiktok/get-video-comments"
payload := strings.NewReader("{\n \"videoId\": \"<string>\",\n \"cursor\": \"<string>\",\n \"count\": 20\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bridgly.app/tiktok/get-video-comments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"videoId\": \"<string>\",\n \"cursor\": \"<string>\",\n \"count\": 20\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridgly.app/tiktok/get-video-comments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"videoId\": \"<string>\",\n \"cursor\": \"<string>\",\n \"count\": 20\n}"
response = http.request(request)
puts response.read_body{
"timeMs": 123,
"creditsCost": 123,
"data": {
"comments": [
{
"id": "<string>",
"videoId": "<string>",
"parentCommentId": "<string>",
"text": "<string>",
"createTime": 123,
"language": "<string>",
"likeCount": 123,
"replyCount": 123,
"likedByCreator": true,
"pinnedByCreator": true,
"author": {
"id": "<string>",
"uniqueId": "<string>",
"nickname": "<string>",
"avatarUrl": "<string>",
"signature": "<string>",
"verified": true,
"secUid": "<string>",
"privateAccount": true,
"followerCount": 123,
"followingCount": 123,
"heartCount": 123,
"videoCount": 123
}
}
],
"total": 123,
"nextCursor": "<string>"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
application/json
Post ID, the number at the end of the post URL, for example "7698770783367171359".
Pattern:
^\d{1,30}$The previous response's nextCursor, to fetch the next page.
Most results to return per page (1–20). Defaults to 20. A page can hold fewer, so keep paging while nextCursor is set.
Required range:
1 <= x <= 20Was this page helpful?